mon::icinga2_checkcommands:
  disk:
    mon_meta:
      types:
        # Explicitly select all paths. This is equivalent to -R .*
        all: Optional[Boolean]
        # Exit with CRITICAL status if less than INTEGER units of disk are free or Exit with CRITCAL status if less than PERCENT of disk space is free
        cfree: 'Optional[Variant[Integer,Pattern[/\A[0-9]+%\z/]]]'
        # Clear thresholds
        clear: Optional[Boolean]
        # Regular expression for path or partition (may be repeated)
        ereg_path: Optional[Variant[String,Array[String]]]
        # Case insensitive regular expression for path/partition (may be repeated)
        eregi_path: Optional[Variant[String,Array[String]]]
        # Display only devices/mountpoints with errors
        errors_only: Optional[Boolean]
        # For paths or partitions specified with -p, only check for exact paths
        exact_match: Optional[Boolean]
        # Ignore all filesystems of indicated type (may be repeated)
        exclude_type: Optional[Variant[String,Array[String]]]
        # Group paths. Thresholds apply to (free-)space of all partitions together
        group: Any # XXX?
        # Regular expression to ignore selected path or partition (may be repeated)
        ignore_ereg_path: Optional[Variant[String,Array[String]]]
        # Regular expression to ignore selected path/partition (case insensitive) (may be repeated)
        ignore_eregi_path: Optional[Variant[String,Array[String]]]
        # Don't account root-reserved blocks into freespace in perfdata
        ignore_reserved: Optional[Boolean]
        # Check only filesystems of indicated type (may be repeated)
        include_type: Optional[Variant[String,Array[String]]]
        # Exit with CRITICAL status if less than PERCENT of inode space is free
        inode_cfree: Optional[Integer[0,100]]
        # Exit with WARNING status if less than PERCENT of inode space is free
        inode_wfree: Optional[Integer[0,100]]
        # Same as --units kB
        kilobytes: Optional[Boolean]
        # Only check local filesystems
        local: Optional[Boolean]
        # Same as --units MB
        megabytes: Optional[Boolean]
        # Display the mountpoint instead of the partition
        mountpoint: Optional[Boolean]
        # Path or partition (may be repeated)
        partitions: Optional[Variant[Stdlib::Absolutepath,Array[Stdlib::Absolutepath]]]
        # Ignore device (only works if -p unspecified)
        partitions_excluded: Optional[Variant[Stdlib::Absolutepath,Array[Stdlib::Absolutepath]]]
        # Only check local filesystems against thresholds. Yet call stat on remote filesystems to test if they are accessible (e.g. to detect Stale NFS Handles)
        stat_remote_fs: Optional[Boolean]
        # Seconds before connection times out (default: 10)
        timeout: Any # XXX?
        # Choose bytes, kB, MB, GB, TB (default: MB)
        units: "Optional[Enum['bytes', 'kB', 'MB', 'GB', 'TB']]"
        # Exit with WARNING status if less than INTEGER units of disk are free or Exit with WARNING status if less than PERCENT of disk space is free
        wfree: 'Optional[Variant[Integer,Pattern[/\A[0-9]+%\z/]]]'
